# cNPCModels Class Reference

List of all members.

## Public Member Functions

| cNPCModels (DWORD dwModelID, BOOL fAddToHash=TRUE)

## Static Public Member Functions

static void | Hash_Load ()
static cNPCModels * | Hash_New (DWORD &dwModelID)
static void | Hash_Erase ()
static void | Hash_Remove (cNPCModels *pcModel)
static cNPCModels * | FindModel (DWORD dwModelID)

## Public Attributes

std::string | m_strName
std::string | m_strDescription
WORD | m_wPaletteCode
DWORD | m_dwModelID
float | m_flScale
BYTE | m_bPaletteChange
DWORD | m_wPaletteVector
sPaletteChange | m_vectorPal [255]
BYTE | m_bTextureChange
DWORD | m_wTextureVector
sTextureChange | m_vectorTex [255]
BYTE | m_bModelChange
DWORD | m_wModelVector
sModelChange | m_vectorMod [255]
WORD | m_wModel
WORD | m_wIcon
DWORD | m_dwModelNumber
cAnimates | m_cAnimations
cNPCModels * | m_pcNext
cNPCModels * | m_pcPrev
std::list< cNPCModels * > | m_lstNPCModels

## Friends

class | cMasterServer

## Member Function Documentation

cNPCModels * cNPCModels::FindModel | ( | DWORD | dwModelID | ) | `[static]`

Finds an NPC model.

This function is called when a particular NPC model needs to be found. The search is performed by searching for the NPC model's model ID.

Parameters:

  | dwModelID | - The NPC model's model ID.

Returns:
  *cNPCModels - A pointer to the NPC model.

void cNPCModels::Hash_Erase | ( |  | ) | `[static]`

Erases all NPC models from the NPC model hash list.

void cNPCModels::Hash_Remove | ( | cNPCModels * | pcModel | ) | `[static]`

Removes an NPC model from the NPC model hash list.

Parameters:

  | *pcModel | - A pointer to the NPC model to be removed.

The documentation for this class was generated from the following files:

- E:/uas2/Server/cNPCModels.h
- E:/uas2/Server/cNPCModels.cpp